<template>
  <div class="container mt-3">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <a class="navbar-brand" href="/home">MAPALA WMDK</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item active">
            <a class="nav-link" href="/logistik/divisi/read">Divisi <span class="sr-only">(current)</span></a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/logistik/alat/read">Alat</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/logistik/anggota/read">Anggota</a>
          </li>
        </ul>
      </div>
    </nav>
    <div class="card mt-2">
      <div class="card-header">
        <span class="my-auto">Tambah Data Anggota</span>
      </div>
      <div class="card-body">
        <form action="" method="post" v-on:submit.prevent="onSubmit">
          <div class="row">
            <div class="col-md-6">
              <label for="nama">Nama</label>
              <input type="text" class="form-control" name="nama" id="nama" v-model="form.nama">
            </div>
            <div class="col-md-6">
              <label for="alamat">Alamat</label>
              <textarea class="form-control" id="" rows="3" name="alamat" v-model="form.alamat"></textarea>
            </div>
          </div>
          <div class="row mt-2">
            <div class="col-md-6">
              <label for="email">Email</label>
              <input type="email" class="form-control" name="email" id="email" v-model="form.email">
            </div>
            <div class="col-md-6">
              <label for="nohp">Nohp</label>
              <input type="text" class="form-control" name="nohp" id="nohp" v-model="form.nohp">
            </div>
          </div>
          <div class="row mt-2">
            <div class="col-md-6">
              <input type="submit" class="btn btn-primary" name="" value="Simpan">
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";

export default {
  data() {
    return {
      form: {
        nama: "",
        alamat : "",
        email : "",
        nohp : ""
      }
    };
  },
  methods: {
    onSubmit() {
      let data = JSON.stringify({
        nama: this.form.nama,
        alamat: this.form.alamat,
        email: this.form.email,
        nohp: this.form.nohp
      });
      axios
        .post("http://localhost/mapalaBE/apiAnggota/create.php", data, {
          headers: {
            "Content-Type": "application/json"
          }
        })
        .then(async res => {
          const data = await res;
          if (data.status == 200) {
            alert("Data Berhasil Dikirim");
            this.$router.push("read");
          }
        })
        .catch(err => {
          alert("Data Gagal Dikirim");
          console.log(err);
        });
    }
  }
};
</script>

<style lang="stylus" scoped>

</style>